#!/bin/sh
export OPIEIMGDIR=/mmc/mmca1/opie
export SWAPFILE=$OPIEIMGDIR/lib/swapfile
export OPIEDIR=/ezxlocal/opie
export QTDIR=$OPIEDIR
export LD_LIBRARY_PATH=/lib:/usr/lib:$QTDIR/lib:$OPIEDIR/plugins/inputmethods
export PATH=$PATH:$OPIEDIR/bin
export HOME=/mmc/mmca1/opiehome

if ! grep $OPIEDIR /proc/mounts; then
	insmod $OPIEIMGDIR/lib/loop.o
	mkdir -p $OPIEDIR
	mount $OPIEIMGDIR/lib/opie.cramfs $OPIEDIR -t cramfs -o loop
fi

(. /home/native/.profile > /dev/null ; $OPIEIMGDIR/bin/op)&

if [ ! -f $SWAPFILE ]; then
	echo "Creating swap file $SWAPFILE (will only do it once).."
	gzip -c -d < $OPIEIMGDIR/lib/swapfile.gz > $OPIEIMGDIR/lib/swapfile
fi

if ! grep $SWAPFILE /proc/swaps; then
	swapon $SWAPFILE
fi

mkdir -p $HOME

cd $OPIEDIR/bin
./qpe


(. /home/native/.profile > /dev/null ; $OPIEIMGDIR/bin/opc exit)
